@media (max-width: 768px) {
    main{
        width: 100vw;
        height: auto;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center; 
        padding: 5px;
        background-color: var(--primary-color);
    }

    .portifolio-content{
        width: 95%;
        flex-direction: column;
        gap: 50px;
        padding: 0px; 
        position: static;
        /* background-color: gray; */
        
        /* Optional: ensures safety alignment if flex parent rules behave unexpectedly */
        margin: 0 auto; 
    }

    .dev-sidebar{
        width: 100%;
        height: auto;
        /* background-color:red; */
    }

    .dev-profile{
        width: 100%;
        height: auto;
        /* background-color: white; */
    }

    .dev-sidebar img{
        width:100%;
        height: auto;
    }

    /* .dev-contact{
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        background-color: palevioletred;
    } */

    /* .dev-sidebar h1{
    text-align: center;
    color: var(--secondary-color);
    font-size: 2em;
    font-weight: 600;
    font-family:Arial, Helvetica, sans-serif;
    margin-bottom: 5px;
}

.dev-sidebar p{
    text-align: center;
    color: var(--background-color);
    font-size: 1.2em;
    font-weight: 400;
    font-family:Arial, Helvetica, sans-serif;
}

.dev-media{
    display: flex;
    width: 60%;
    margin-top: 80px;
    align-items: center;
    justify-content: space-around;
    margin-bottom: 10px;
}

.dev-media svg{
    width: 40px;
    height: 40px;
    padding: 5px;
    background-color: rgb(241, 239, 239, 0.1);
}

.side-bar-btn{
    width: 100%;
    height: auto;
    display: flex;
    align-items: center;
    background-color: palegoldenrod;
}

.side-bar-btn a{
    width: 50%;
    height: 40px;
    border-top: 1px solid rgb(241, 239, 239, 0.2);
    color: var(--background-color);
    font-size: 1.2em;
    cursor: pointer;
    text-align: center;
    text-decoration: none;
    border-bottom: 1px solid rgb(241, 239, 239, 0.2);

}

.side-bar-btn .btn-1{
    border-right: 1px solid rgb(241, 239, 239, 0.2);

} */


    .portifolio-details{
        width: 95%;
        height: auto;
        gap: 20px;
        padding-right: 0px;
        scroll-behavior: smooth;
        /* background-color: yellow; */
    }

    header{
        display: none;
    }

/* #about-section{
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 50px;
    height: auto;
    padding-bottom: 50px;
    border-bottom: 2px solid rgb(241, 239, 239, 0.2);
    background-color: rgba(236, 40, 40, 0.1);
}

#about-section h1{
    font-size: 2em;
    color: var(--secondary-color);
    font-weight: 600;
    margin-bottom: 20px;
}


#about-section p{
    color: white;
} */

.about-statistics{
    width: 100%;
    height: auto;
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    grid-gap: 20px;
    padding: 0 5px;
        /* background-color: palevioletred; */
}


    .skill-sets{
        display: flex;
        flex-direction: column;
        gap: 20px;
        /* background-color: green; */
    }

    .skill-set{
        width: 100%;
        gap: 20px;
        /* background-color: pink; */
    }

    .projects-content .projects{
        grid-template-columns: repeat(1, 1fr);
        grid-gap: 20px;
        margin-bottom: 40px;
    }

    .project-stack span{
        padding: 2px 5px;
        border-radius: 60px;
        background-color: rgba(148, 147, 147, 0.514);
        font-size: 0.7em;
    }

    .more-projects button{
        width: 50%;
    }


    .services{
        grid-template-columns: repeat(1, 1fr);
        grid-gap:20px;
        padding-left: 5px;
    }

    .experience-content {
        width: 98%;
        padding-left: 5px;
        /* background-color: red; */
    }

    .experience-cards {
        width: 95%;
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        grid-gap: 20px;
        /* background-color: blue; */
    }

    .certification-content{
        width: 98%;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .certificates{
        width: 100%;
        display: grid;
        grid-gap: 20px;
        grid-template-columns: repeat(1, 1fr);
        padding: 10px;
        margin-top: 20px;
    }

    .contacts-content form .input-set{
        width: 100%;
        flex-direction: column;
        /* background-color: green; */
    }

    .input-set input{
        width: 100%;
        height: 35px;
        padding: 20px;
        outline: none;
        border-radius: 8px;
        background-color: rgb(241, 239, 239, 0.1);
    }

}


@media (max-width: 375px) {
    main{
        height: auto;
        display: flex;
        align-items: center;
        padding: 20px;
        background-color: var(--primary-color);
        /* background-color: red; */
    }

    .portifolio-content{
        flex-direction: column;
        gap: 50px;
        padding: 0px;
        position: static;
        /* background-color: gray; */
    }

    .dev-sidebar{
        width: 100%;
        height: auto;
        /* background-color:red; */
    }

    /* .dev-profile{
        width: 100%;
        height: auto;
        background-color: white;
    } */

    .dev-sidebar img{
        height: auto;
    }

    /* .dev-contact{
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        background-color: palevioletred;
    } */

    .portifolio-details{
        width: 100%;
        height: auto;
        gap: 20px;
        padding-right: 0px;
        scroll-behavior: smooth;
    }

    header{
        display: none;
    }

    .skill-sets{
        display: flex;
        flex-direction: column;
        gap: 20px;
        /* background-color: green; */
    }

    .skill-set{
        width: 100%;
        gap: 20px;
        /* background-color: pink; */
    }

    .projects-content .projects{
        grid-template-columns: repeat(1, 1fr);
        grid-gap: 20px;
        margin-bottom: 40px;
    }


    .more-projects button{
        width: 50%;
    }


    .services{
        grid-template-columns: repeat(1, 1fr);
        grid-gap:20px;
        padding-left: 5px;
    }

    .experience-content {
        width: 98%;
    }

    .experience-cards {
        width: 95%;
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        grid-gap: 20px;
        /* background-color: blue; */ /* Remove or keep for debugging */
    }

    .certification-content{
        width: 98%;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .certificates{
        width: 100%;
        display: grid;
        grid-gap: 20px;
        grid-template-columns: repeat(1, 1fr);
        padding: 10px;
        margin-top: 20px;
    }

    .contacts-content form .input-set{
        width: 100%;
        flex-direction: column;
        /* background-color: green; */
    }

    .input-set input{
        width: 100%;
        height: 35px;
        padding: 20px;
        outline: none;
        border-radius: 8px;
        background-color: rgb(241, 239, 239, 0.1);
    }



}

@media (max-width: 768px) {
    
}